// Global variables and preferences for ACWatch
// Copyright (c) 2003 by Tom Grandgent

#include "acwatch.h"

// Constants
char *mainClassName = "acwatch";		// Class name registered for main window
char *mainWindowTitle = "File Access Time Monitoring Server";	// Window title for main window

// Global variables initialized at runtime
HINSTANCE hInstance;		// Instance handle of this program's image
HWND hwndApp;				// Window handle of this program's main window
char *cmdLine;				// Command line arguments given to this program
char appPath[MAX_PATH] = "";// Application path (determined from GetModuleName())
char logFilename[MAX_PATH] = "";	// Fully-qualified path+filename of log file
HWND hwndLBLog = NULL;				// List box for log data
int bMinimized = TRUE;		// Is the main window visible?

// Thread handles
unsigned int threadMonitor = NULL;

// Thread termination events
HANDLE quitMonitor = NULL;

// Global list of monitored files
tgStrList monitoredFiles;

// State / variables for AudioTron behavior
int playlistGenerationInProgress = FALSE;
int playlistGenerationStartTime;
int playlistGenerationLastPollTime = 0;
char playlistGenerationATName[256] = "";

////////////////////////////////////////////////////////////////////////////////
// Preferences that might be changed at runtime (i.e. loaded from a config file)
////////////////////////////////////////////////////////////////////////////////

// Timing-related
int prefAccessTimePollInterval = 100;
int prefDelayBeforeSongCheck = 5000;
int prefSongCheckInterval = 2000;
int prefUserTimeout = 120000;

// Filenames / paths
char prefBaseMonitorDir[MAX_PATH] = "c:\\ATCommand";
char prefPlaylistTriggerFilename[MAX_PATH] = "!Generate Playlist Based on Song.m3u";
char prefPlaylistDummyFilename[MAX_PATH] = "please wait.wav";
char prefPlaylistOutputFilename[MAX_PATH] = "Auto Generated Playlist.m3u";
char prefPlaylistGeneratorFilename[MAX_PATH] = "MakePlaylist.exe";

// AudioTron parameters
char prefATPassword[128] = "admin";

// AT display: Choose a song
char prefMsgLine1ChooseSong[MAX_ATRON_LINE_LEN] = "Choose a song to generate an ";
char prefMsgLine2ChooseSong[MAX_ATRON_LINE_LEN] = "instant-mix playlist from.";
int prefMsgDelayChooseSong = 3;

// AT display: Playlist generation was successful
char prefMsgLine1Successful[MAX_ATRON_LINE_LEN] = "Playlist generation was successful.";
char prefMsgLine2Successful[MAX_ATRON_LINE_LEN] = "Now playing: Auto Generated Playlist.m3u";
int prefMsgDelaySuccessful = 3;

// AT display: Playlist generation failed because a song was not mixable or not found in the DB
char prefMsgLine1Failed[MAX_ATRON_LINE_LEN] = "Sorry, the song you chose was not";
char prefMsgLine2Failed[MAX_ATRON_LINE_LEN] = "mixable.  Please choose another one.";
int prefMsgDelayFailed = 5;

// AT display: Another AudioTron is currently generating a playlist - go away
char prefMsgLine1Busy[MAX_ATRON_LINE_LEN] = "Someone is currently making a playlist";
char prefMsgLine2Busy[MAX_ATRON_LINE_LEN] = "on another AudioTron.  Please try again.";
int prefMsgDelayBusy = 3;

// AT display: Playlist generation timed out (due to user inactivity)
char prefMsgLine1Timeout[MAX_ATRON_LINE_LEN] = "It's been awhile and you haven't chosen";
char prefMsgLine2Timeout[MAX_ATRON_LINE_LEN] = "a song.  You'll need to start over now.";
int prefMsgDelayTimeout = 3;
